[SECURITY update] Sync x11-xserver-utils 7.6+2 (main) from Debian unstable (main)

Bug #752315 reported by Timo Aaltonen
22
This bug affects 3 people
Affects Status Importance Assigned to Milestone
x11-xserver-utils (Debian)
Fix Released
Unknown
x11-xserver-utils (Ubuntu)
Wishlist
Marc Deslauriers
Hardy
Undecided
Marc Deslauriers
Karmic
Undecided
Marc Deslauriers
Lucid
Undecided
Marc Deslauriers
Maverick
Undecided
Marc Deslauriers
Natty
Wishlist
Marc Deslauriers

Bug Description

Please sync x11-xserver-utils 7.6+2 (main) from Debian unstable (main)

Changelog entries since current natty version 7.6~1:

x11-xserver-utils (7.6+2) unstable; urgency=high

  [ Robert Hooker ]
  * xrdb 1.0.9 (Fixes CVE-2011-0465)

 -- Julien Cristau <email address hidden> Wed, 06 Apr 2011 10:25:37 +0200

x11-xserver-utils (7.6+1) unstable; urgency=low

  [ David Nusinow ]
  * Add 03_iceauth_manpage_commands.patch. Documents iceauth commands more
    fully. Also fixes fd.o bug # 2354. Closes: #509837

  [ Cyril Brulebois ]
  * Make update-copyright target .PHONY

  [ Julien Cristau ]
  * xrdb 1.0.8.
  * Remove Brice Goglin and David Nusinow from Uploaders. Thanks for your
    work!
  * Bump Standards-Version to 3.9.1.
  * Refresh patches.
  * Upload to unstable.

 -- Julien Cristau <email address hidden> Thu, 10 Feb 2011 18:20:20 +0100

Timo Aaltonen (tjaalton)
Changed in x11-xserver-utils (Ubuntu):
importance: Undecided → Wishlist
status: New → Confirmed
Revision history for this message
Timo Aaltonen (tjaalton) wrote :

I've pushed packages here: http://people.canonical.com/~tjaalton/

the sync would fix natty.

summary: - Sync x11-xserver-utils 7.6+2 (main) from Debian unstable (main)
+ [SECURITY update] Sync x11-xserver-utils 7.6+2 (main) from Debian
+ unstable (main)
Changed in x11-xserver-utils (Ubuntu Hardy):
status: New → Fix Committed
Changed in x11-xserver-utils (Ubuntu Lucid):
status: New → Fix Committed
Changed in x11-xserver-utils (Ubuntu Maverick):
status: New → Fix Committed
Changed in x11-xserver-utils (Ubuntu Hardy):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in x11-xserver-utils (Ubuntu Lucid):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in x11-xserver-utils (Ubuntu Maverick):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in x11-xserver-utils (Ubuntu Natty):
assignee: nobody → Marc Deslauriers (mdeslaur)
Changed in x11-xserver-utils (Ubuntu Karmic):
assignee: nobody → Marc Deslauriers (mdeslaur)
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package x11-xserver-utils - 7.5+2ubuntu1.1

---------------
x11-xserver-utils (7.5+2ubuntu1.1) maverick-security; urgency=low

  * SECURITY UPDATE: root escalation via rogue hostname (LP: #752315)
    - xrdb: Create shell-escape-safe cpp options in the non-pathetic-cpp
      case.
    - http://cgit.freedesktop.org/xorg/app/xrdb/commit/?id=1027d5df07398c1507fb1fe3a9981aa6b4bc3a56
    - CVE-2011-0465
 -- Timo Aaltonen <email address hidden> Wed, 06 Apr 2011 17:44:41 +0300

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package x11-xserver-utils - 7.5+1ubuntu2.1

---------------
x11-xserver-utils (7.5+1ubuntu2.1) lucid-security; urgency=low

  * SECURITY UPDATE: root escalation via rogue hostname (LP: #752315)
    - xrdb: Create shell-escape-safe cpp options in the non-pathetic-cpp
      case.
    - http://cgit.freedesktop.org/xorg/app/xrdb/commit/?id=1027d5df07398c1507fb1fe3a9981aa6b4bc3a56
    - CVE-2011-0465
 -- Timo Aaltonen <email address hidden> Wed, 06 Apr 2011 17:42:55 +0300

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package x11-xserver-utils - 7.4+2ubuntu3.1

---------------
x11-xserver-utils (7.4+2ubuntu3.1) karmic-security; urgency=low

  * SECURITY UPDATE: root escalation via rogue hostname (LP: #752315)
    - xrdb: Create shell-escape-safe cpp options in the non-pathetic-cpp
      case.
    - http://cgit.freedesktop.org/xorg/app/xrdb/commit/?id=1027d5df07398c1507fb1fe3a9981aa6b4bc3a56
    - CVE-2011-0465
 -- Timo Aaltonen <email address hidden> Wed, 06 Apr 2011 17:38:54 +0300

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package x11-xserver-utils - 7.3+2ubuntu0.1

---------------
x11-xserver-utils (7.3+2ubuntu0.1) hardy-security; urgency=low

  * SECURITY UPDATE: root escalation via rogue hostname (LP: #752315)
    - xrdb: Create shell-escape-safe cpp options in the non-pathetic-cpp
      case.
    - http://cgit.freedesktop.org/xorg/app/xrdb/commit/?id=1027d5df07398c1507fb1fe3a9981aa6b4bc3a56
    - CVE-2011-0465
 -- Timo Aaltonen <email address hidden> Wed, 06 Apr 2011 17:28:15 +0300

Changed in x11-xserver-utils (Ubuntu Hardy):
status: Fix Committed → Fix Released
Changed in x11-xserver-utils (Ubuntu Karmic):
status: New → Fix Released
Changed in x11-xserver-utils (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in x11-xserver-utils (Ubuntu Maverick):
status: Fix Committed → Fix Released
Revision history for this message
Jamie Strandboge (jdstrand) wrote :

[Updating] x11-xserver-utils (7.6~1 [Ubuntu] < 7.6+2 [Debian])
 * Trying to add x11-xserver-utils...
2011-04-07 13:54:07 INFO - <x11-xserver-utils_7.6+2.tar.gz: downloading from http://ftp.debian.org/debian/>
2011-04-07 13:54:09 INFO - <x11-xserver-utils_7.6+2.dsc: downloading from http://ftp.debian.org/debian/>
I: x11-xserver-utils [main] -> x11-xserver-utils_7.6~1 [main].

Changed in x11-xserver-utils (Ubuntu Natty):
status: Confirmed → Fix Released
Changed in x11-xserver-utils (Debian):
status: Unknown → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.